# Sysdig Response Actions

This integration utilizes the Sysdig agent and the Sysdig Response Actions API to facilitate automated and manual remediation of security incidents. It enables security teams to take precise actions at the host or container level, such as terminating compromised containers, quarantining suspicious files, or capturing detailed system activity for forensic analysis. These capabilities are designed to enhance incident response workflows and improve overall security operations.

## What does this pack do?

This pack leverages the Sysdig Response Actions API to enable automated and manual responses to security incidents. Key features include:

- **Container Management**: Terminate malicious containers to prevent further damage.
- **File Quarantine**: Isolate suspicious files to mitigate potential threats.
- **System Capture**: Perform detailed system captures for forensic analysis.
- **Host-Level Actions**: Execute commands or scripts on hosts to remediate issues.

These capabilities help streamline incident response and enhance security posture.

_For more information, visit [Sysdig](https://sysdig.com)_.

[![Sysdig Overview](https://storage.googleapis.com/marketplace-dist/content/packs/Sysdig/readme_images/Author_image.png)](https://storage.googleapis.com/marketplace-dist/content/packs/Sysdig/readme_images/)

### Pack Contributors:

---
 - Sebastian Zumbado Herrera
 - Federico Barcelona Auria

Contributions are welcome and appreciated. For more info, visit our [Contribution Guide](https://xsoar.pan.dev/docs/contributing/contributing).